Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions

# base/col_val.h File Reference

A colour value class. More...

`#include <vector>`
`#include <map>`
`#include <string>`
`#include "vec3d.h"`
`#include "vec4d.h"`
Include dependency graph for col_val.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | col_val
| Colour holding RGBA or an index number. More...
## Functions
bool | operator< (const col_val &c1, const col_val &c2)
| Less than.

## Detailed Description

A colour value class.

## Function Documentation

bool operator< | ( | const col_val & | c1,
|  | const col_val & | c2
| ) |  |

Less than.

Order by invalid first, then index number then RGBA component values.

Parameters:

  c1 | first colour to compare.
  c2 | second colour to compare.

Returns:
  true if
  - c1 `<`
  - c2, otherwise false.